# Uses of Enum Class
com.destroystokyo.paper.event.block.TNTPrimeEvent.PrimeReason

Packages that use TNTPrimeEvent.PrimeReason
Package
Description
com.destroystokyo.paper.event.block

## Uses of TNTPrimeEvent.PrimeReason in com.destroystokyo.paper.event.block

Methods in com.destroystokyo.paper.event.block that return TNTPrimeEvent.PrimeReason
Modifier and Type
Method
Description
`@NotNull TNTPrimeEvent.PrimeReason`
TNTPrimeEvent.`getReason()`
Gets the TNT prime reason
`static TNTPrimeEvent.PrimeReason`
TNTPrimeEvent.PrimeReason.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static TNTPrimeEvent.PrimeReason[]`
TNTPrimeEvent.PrimeReason.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Constructors in com.destroystokyo.paper.event.block with parameters of type TNTPrimeEvent.PrimeReason
Modifier
Constructor
Description
``
`TNTPrimeEvent(@NotNull Block theBlock, @NotNull TNTPrimeEvent.PrimeReason reason, @Nullable Entity primerEntity)`